# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(Scalar/Util.pm) perl(XSLoader.pm) perl(if.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Devel-Pragma
Version:        0.54
Release:        alt1_4
Summary:        Helper functions for developers of lexical pragmas
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Devel-Pragma/
Source0:        http://www.cpan.org/authors/id/C/CH/CHOCOLATE/Devel-Pragma-%{version}.tar.gz
BuildRequires:  perl(B/Hooks/EndOfScope.pm)
BuildRequires:  perl(B/Hooks/OP/Annotation.pm)
BuildRequires:  perl(B/Hooks/OP/Check.pm)
BuildRequires:  perl(ExtUtils/Depends.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(vars.pm)


Source44: import.info

%description
This module provides helper functions for developers of lexical pragmas.
These can be used both in older versions of perl (from 5.8.1), which have
limited support for lexical pragmas, and in the most recent versions, which
have improved support.

%prep
%setup -q -n Devel-Pragma-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="%{optflags}" --skipdeps
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Devel*

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.54-alt1_4
- initial fc import

